package com.jiuqi.util;

import java.io.InputStream;
import java.sql.ResultSet;

public class BlobToBytes
{
    private BlobToBytes() {
    }
    
    public static byte[] read(final ResultSet rs, final String fieldname) throws Exception {
        return read(rs, rs.findColumn(fieldname));
    }
    
    public static byte[] read(final ResultSet rs, final int fieldindex) throws Exception {
        byte[] result = null;
        final InputStream inputStream = rs.getBinaryStream(fieldindex);
        Stream stream = new MemStream();
        stream.copyFrom(inputStream, 0L);
        result = stream.getBytes();
        stream.setSize(0L);
        stream = null;
        return result;
    }
    
    public static String readString(final ResultSet rs, final int fieldIndex) throws Exception {
        final byte[] b = read(rs, fieldIndex);
        return (b == null) ? "" : new String(b);
    }
    
    public static String readString(final ResultSet rs, final String fieldName) throws Exception {
        return readString(rs, rs.findColumn(fieldName));
    }
}
